## org.gnu.gtk
Class GtkObject

    java.lang.Object
      org.gnu.glib.GObject
          org.gnu.gtk.GtkObject

Direct Known Subclasses:
  Adjustment, ItemFactory, ToolTips, Widget

public class GtkObject
extends GObject

This is the base class of all widgets and a few non-widget objects.

Field Summary

Fields inherited from class org.gnu.glib.GObject
`eventsInitialized`

Constructor Summary
`protected` `GtkObject(Handle handle)`

Method Summary
`void` `destroy()` Emits the "destroy" signal notifying all reference holders that they should release the GtkObject.
`protected static int` `getFlags(Handle obj)`
`static Type` `getType()` Retrieve the runtime type used by the GLib library.
`protected static void` `gtk_object_destroy(Handle object)`
`protected static int` `gtk_object_get_type()`
`protected static void` `gtk_object_sink(Handle object)`
`protected static void` `setFlags(Handle obj, int flags)`
`void` `sink()` Removes the floating reference from a GtkObject, if it exists.

Methods inherited from class org.gnu.glib.GObject

`addEventHandler, addEventHandler, addEventHandler, addEventHandler, addEventHandler, addEventHandler, addListener, equals, freezeNotify, getBooleanProperty, getData, getData, getDoubleProperty, getEventListenerClass, getEventType, getFloatProperty, getGObjectFromHandle, getHandle, getIntFromHandle, getIntProperty, getJavaObjectProperty, getLongProperty, getNullHandle, getPixbufProperty, getProperty, getStringFromHandle, getStringProperty, hashCode, hasProperty, instantiateJGObjectFromGType, notify, removeEventHandler, removeListener, retrieveGObject, setBooleanProperty, setData, setData, setDoubleProperty, setFloatProperty, setHandle, setIntProperty, setJavaObjectProperty, setLongProperty, setPixbufProperty, setProperty, setStringProperty, thawNotify`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### GtkObject

    protected GtkObject(Handle handle)

Method Detail

### destroy

    public void destroy()

  Emits the "destroy" signal notifying all reference holders that they should release the GtkObject. The memory for the object itself won't be deleted until its reference count actually drops to 0. This method merely asks reference holders to release their references, it does not free the object.

### sink

    public void sink()

  Removes the floating reference from a GtkObject, if it exists. Otherwise does nothing.

### getType

    public static Type getType()

  Retrieve the runtime type used by the GLib library.

### getFlags

    protected static final int getFlags(Handle obj)

### setFlags

    protected static final void setFlags(Handle obj,
                                         int flags)

### gtk_object_get_type

    protected static final int gtk_object_get_type()

### gtk_object_sink

    protected static final void gtk_object_sink(Handle object)

### gtk_object_destroy

    protected static final void gtk_object_destroy(Handle object)